<!-- -------------------- ./mgmt/multisign_menu_dsfr.html -------------------- -->
<h3 class="fr-h5 documents-list__title">
  Tous les documents à signer
</h3>

<ul class="fr-btns-group fr-btns-group--inline fr-btns-group--sm fr-btns-group--icon-left">
  <li>
    <button class="fr-btn fr-btn--secondary fr-icon-success-line" onclick="MultiSelectionToggleAll('sign')">Tout valider</button>
  </li>
  <li>
    <button class="fr-btn fr-btn--secondary fr-icon-error-line" onclick="MultiSelectionToggleAll('refuse')">Tout refuser</button>
  </li>
</ul>

<form id="menuFileForm" enctype="multipart/form-data" method="post" action="<?php echo $this->URL->GetMgmtMethod('MultiActionOnFiles'); ?>" class="fr-sidemenu__inner">
  <input type="hidden" NAME="ACTION" id="typeSignAction" value="">
<div class="menuFileFormContent">
  <?php
  $idind = 1;
  foreach ($this->F2SLIST as $dos) :
  ?>
    <div class="documents-list__folder">
      <h4 class="fr-h6 documents-list__folder-name">
        <a href="<?php echo $this->URL->GetMgmtMethodWithDID('View', $dos['did']); ?>">
          <span class="fr-icon-folder-2-line" aria-hidden="true"></span>
          <?php echo $dos['title']; ?>
          <!-- <span class="fr-icon-arrow-right-line" aria-hidden="true"></span> -->
        </a>
      </h4>

      <ul class="documents-list fr-sidemenu__list">
        <?php
        foreach ($dos['filelist'] as $ind => $value) :
          $furl = $this->URL->GetInnerDataWithDos($dos, $value);
        ?>
          <li class="multi-docs-selection--item">
            <div class="fr-checkbox-group fr-checkbox-group--md">
              <input class="form-check-input check-sign" type="checkbox" value="<?php echo $dos['did'] . "@" . $value; ?>" name="F2S[]" id="S-<?php printf("%08u", $idind); ?>" onclick="OneItemToggle(this)">
              <label class="fr-label" for="S-<?php printf("%08u", $idind); ?>" title="Accepter le document">&nbsp;</label>
            </div>

            <div class="fr-checkbox-group fr-checkbox-group--md">
              <input class="form-check-input check-refuse" type="checkbox" value="<?php echo $dos['did'] . "@" . $value; ?>" name="F2R[]" id="R-<?php printf("%08u", $idind); ?>" onclick="OneItemToggle(this)">

              <label class="fr-label" for="R-<?php printf("%08u", $idind); ?>" title="Refuser le document">&nbsp;</label>
            </div>

            <a href="<?php echo $furl; ?>" class="fr-sidemenu__link"><?php echo $value; ?></a>
          </li>
        <?php
          $idind++;
        endforeach;
        ?>
      </ul>

    </div>
  <?php
  endforeach;
  ?>
  </div>
</form>

<div class="menuFileFormFooter">
  <ul class="fr-btns-group fr-btns-group--inline fr-btns-group--sm fr-btns-group--icon-left">
    <li>
      <button class="fr-btn fr-btn--secondary fr-icon-success-line" onclick="MultiSelectionToggleAll('sign')">Tout valider</button>
    </li>
    <li>
      <button class="fr-btn fr-btn--secondary fr-icon-error-line" onclick="MultiSelectionToggleAll('refuse')">Tout refuser</button>
    </li>
  </ul>
  <hr>
  <ul class="fr-btns-group fr-btns-group--center fr-btns-group--inline fr-btns-group--icon-left fr-mt-n2v">
    <li>
      <button type="button" class="fr-btn" onclick="MultiSelectionAction('multi'); MultiSelectionMenuLockToggle();">Confirmer les choix</button>
    </li>
    <li>
      <button class="fr-btn fr-btn--secondary" id="unlockSelection" onclick="MultiSelectionMenuLockToggle()">Modifier les choix</button>
    </li>
  </ul>
  
  
</div>
